from distutils.core import setup
import os

packages, data_files = [],[]
root_dir= os.path.dirname(__file__)

if root_dir:
  os.chdir(root_dir)

for dirpath,dirnames,filenames in os.walk('gd_tasty_api'):
  for i, dirname in enumerate(dirnames):
    if dirname.startswith('.'): del dirnames[i]

  if '__init__.py' in filenames:
    pkg = dirpath.replace(os.path.sep, '.')
    if os.path.altsep:
        pkg = pkg.replace(os.path.altsep, '.')
    packages.append(pkg)
  elif filenames:
    print("true??")
    prefix = dirpath[13:]
    for f in filenames:
        data_files.append(os.path.join(prefix, f))

setup(name='django-gd-tasty-api',
    version='0.2.0',
    description='Base class for a Django Tastypie API that meeds GDAPI spec',
    author='ci-ops@godaddy.com',
    author_email='ci-ops@godaddy.com',
    package_dir={'gd_tasty_api':'gd_tasty_api'},
    packages=packages,
    install_requires=[
    'Django >= 1.5',
    'django_tastypie >= 0.10.0'
    ],
    package_data={'gd_tasty_api':data_files},
    )
